Bug 1012250 - RFE: Support <index>es
RFE: Support <index>es
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: CCMS-Core (Show other bugs)
1.1
Unspecified Unspecified
urgent Severity urgent
: ---
: 1.3
Assigned To: Lee Newson
:
Depends On:
Blocks: 1012194
  Show dependency treegraph
 
Reported: 2013-09-26 01:42 EDT by Ruediger Landmann
Modified: 2013-12-03 17:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-03 17:16:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ruediger Landmann 2013-09-26 01:42:55 EDT
Description of problem:
PressGang does not yet support DocBook <index>es

Version-Release number of selected component (if applicable):
Build 201309081012

How reproducible:
100%

Steps to Reproduce:
1. Look for a way to include an index in a topic map

Actual results:
Find that there isn't one

Expected results:
There should be a switch to output:

<index/>

as the final child node in a <book>. This should be off by default otherwise we will create an empty Index.

Additional info:
Comment 1 Lee Newson 2013-11-12 01:08:32 EST
Added in 1.3-SNAPSHOT build 201311121546

We've added a new boolean "Index" metadata element to handle this and the value by default will be off. eg:

Title = My Content Spec
Product = My Product
Copyright Holder = Red Hat, Inc
Index = ON

Chapter: Introduction
...
Comment 3 Matthew Casperson 2013-11-24 20:31:16 EST
Tested a spec with "Index = ON" and confirmed that the final build had an index.

Note You need to log in before you can comment on or make changes to this bug.